CVE-2024-4741

NameCVE-2024-4741
DescriptionUse After Free with SSL_free_buffers
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1072113

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openssl (PTS)buster1.1.1n-0+deb10u3vulnerable
buster (security)1.1.1n-0+deb10u6vulnerable
bullseye1.1.1w-0+deb11u1vulnerable
bullseye (security)1.1.1n-0+deb11u5vulnerable
bookworm, bookworm (security)3.0.11-1~deb12u2vulnerable
trixie3.2.1-3vulnerable
sid3.2.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
opensslsource(unstable)3.2.2-11072113

Notes

[bookworm] - openssl <postponed> (Minor issue, fix along with next update round)
[bullseye] - openssl <postponed> (Minor issue, fix along with next update round)
[buster] - openssl <postponed> (Minor issue, fix along with next update round)
https://www.openssl.org/news/secadv/20240528.txt
https://github.com/openssl/openssl/commit/c1bd38a003fa19fd0d8ade85e1bbc20d8ae59dab (master)
https://github.com/openssl/openssl/commit/c88c3de51020c37e8706bf7a682a162593053aac (openssl-3.2)
https://github.com/openssl/openssl/commit/b3f0eb0a295f58f16ba43ba99dad70d4ee5c437d (openssl-3.0)

Search for package or bug name: Reporting problems